<?php
session_start();
include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

//@$xid = $_REQUEST['xnotcre_codi'];
@$xid = $_REQUEST['xid'];
@$xprecio_aumentado = $_REQUEST['xprecio_aumentado'];

@$xnotcre_codi = $_REQUEST['xnotcre_codi'];
@$xnotdeb_codi = $_REQUEST['xnotdeb_codi'];
//@$xordped_codi_fk_nota = $_REQUEST['xordped_codi_fk_nota'];
@$xordped_codi_fk_nota_db = $_REQUEST['xordped_codi_fk_nota_db'];

//@$xndocumento_nota = $_REQUEST['xndocumento_nota'];
@$xndocumento_nota_nd = $_REQUEST['xndocumento_nota_nd'];

//@$xtipo_nota = $_REQUEST['xtipo_nota'];
@$xtipo_nota_deb = $_REQUEST['xtipo_nota_deb'];

//@$xnt_credito_serie = $_REQUEST['xnt_credito_serie'];
@$xnt_debito_serie = $_REQUEST['xnt_debito_serie'];

//@$xnota_credito_observacion = $_REQUEST['xnota_credito_observacion'];
@$xnota_debito_observacion = $_REQUEST['xnota_debito_observacion'];

//@$xdetalle_nota = $_REQUEST['xdetalle_nota'];
@$xdetalle_nota_db = $_REQUEST['xdetalle_nota_db'];

//@$xmonto_descuento = $_REQUEST['xmonto_descuento'];
$xmonto_descuento_nd = $_REQUEST['xmonto_descuento_nd'];

@$xcantidad_devolver = $_REQUEST['xcantidad_devolver'];
@$xprecio_descontado = $_REQUEST['xprecio_descontado'];

@$xordpeddet_codi = $_REQUEST['xordpeddet_codi'];


//@$xaccion=$_REQUEST['xaccion_nota_credito'];
@$xaccion=$_REQUEST['xaccion_nota_debito'];
//@$xaccion=$_REQUEST['xaccion'];


@$xusuario_sesion = $_SESSION['nombre_usuario'];


@$xfecha = $_REQUEST['xfecha_nota_debito'];

$notdeb = new Notadebito;

switch($xaccion){
		
	case "modificar": 
		if($notdeb->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../caja.php";
			
//			parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>';
//			parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');			
		
			</script>			
			<?php

		}		
		break;
	
				
	case "guardar_nuevo":
		if($notdeb->guardar_nuevo($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			alert("Nota de credito registrada satisfactoriamente.")
			
			
			//parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>';			
			//parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');
			
			</script>			
			<?php			
		}		
		break;	
		
		
	case "reprocesar_comprobante":
		if($notdeb->reprocesar_comprobante($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;		
		
	case "devolver_cantidad":	
		if($notdeb->devolver_cantidad($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardada.")
			
			</script>			
			<?php			
		}		
		break;	
		

	case "descontar_precio":	
		if($notdeb->descontar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardada.")
			
			</script>			
			<?php			
		}		
		break;			


	case "aumentar_precio":				
		if($notdeb->aumentar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardada.")
			
			</script>			
			<?php			
		}		
		break;			
							
}


class Notadebito{

	//Guarda Modificaciones de operaci�n de caja
	function modificar($conexion){	
		global $xid, $xnotcre_codi, $xordped_codi_fk_nota_db, $xndocumento_nota_nd, $xtipo_nota_deb, $xnt_debito_serie, $xnota_debito_observacion, $xaccion, $xusuario_sesion, $xfecha, $cor;				
		
		if($r2){						
			return 1;		
		}			
	}	




	//Guarda nuevo caja
	function guardar_nuevo($conexion){

		global $xid, $xnotcre_codi, $xordped_codi_fk_nota_db, $xndocumento_nota_nd, $xtipo_nota_deb, $xnt_debito_serie, $xnota_debito_observacion, $xaccion, $xusuario_sesion, $xfecha, $xdetalle_nota_db, $xmonto_descuento_nd, $cor, $vali;					
				
		?>
		<script language="javascript">
		//alert("xfecha NOTA DEBITO: <?php //echo $xfecha; ?>");			
		</script>			
		<?php

		$s_empresa = $_SESSION['s_empresa'];				
		$xfechahora = date('Y-m-d H:i:s');
				
		if($_SESSION['s_facturacion_electronica']==1){				
			$xserie = substr(trim($xndocumento_nota_nd),0,4);			
			$correlativo_doc = $cor->comprobantes_grabar_nota_debito($conexion, $xserie);		
			$xndocumento_nota = $correlativo_doc;
		}	
		
		$nu2 = "9999999999"; 
		$xnotcre_idtrans = time().rand(1,$nu2);
		
		$xcaj_codi = $vali->caja_abierta($conexion);
		
		$r_caja_abierta = mysqli_query($conexion,"SELECT caj_numero FROM caja c WHERE caj_codi = $xcaj_codi;");
		while($row_caja_abierta = mysqli_fetch_array($r_caja_abierta)){
			$xcaja_abierta = $row_caja_abierta['caj_numero'];
		}
		
		$r2=mysqli_query($conexion,"INSERT INTO nota_debito (notdeb_fechahora,
																		notdeb_fecha,
																		notdeb_numero,																		
																		ordped_codi_fk,																																			
																		notdeb_serie,
																		notdebtip_codi_fk,
																		notdeb_detalle,
																		notdeb_descuento,
																		notdeb_flg_ose,
																		notdeb_caj_numero,
																		notdeb_usu_crea) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$xndocumento_nota_nd',
																		'$xordped_codi_fk_nota_db',
																		'$xnt_debito_serie',
																		'$xtipo_nota_deb',
																		'$xdetalle_nota_db',
																		'$xmonto_descuento_nd',
																		1,
																		'$xcaja_abierta',
																		'$xusuario_sesion');");				
		
		if($r2){
		
				if($xtipo_nota_deb == 2){			
					$r_aumentar = mysqli_query($conexion,"UPDATE orden_pedido_detalle SET ordpeddet_precio_aumento = ordpeddet_precio_aumento_temporal 
																						WHERE ordped_codi_fk = $xordped_codi_fk_nota_db;");							
				}			

					
				$xpagtip_caja_automatica = 111;
				if($xpagtip_caja_automatica == 1){				
				
					$nu = "9999999999"; 
					$xnu = time().rand(1,$nu);
					
					$xmediopago2 = $_SESSION['s_mediopago'];					
					$correlativo = $cor->caja($conexion);
					$xopecajtip_codi_fk_222 = $_SESSION['s_pagonotacredito'];										
					$xfechahora = date('Y-m-d H:i:s');							

					$r_persona = mysqli_query($conexion,"SELECT per_codi_fk FROM orden_pedido WHERE ordped_codi = $xordped_codi_fk_nota;");
					while($row_persona = mysqli_fetch_array($r_persona)){
						$yper_codi_fk = $row_persona['per_codi_fk'];
					}
										
					$r_caja = mysqli_query($conexion,"INSERT INTO operacion_caja (opecaj_fechahora,
																	opecaj_fecha,
																	opecaj_numero,																		
																	per_codi_fk,
																	opecajtip_codi_fk,																		
																	opecaj_anotaciones,
																	opecaj_monto,
																	opecaj_usu_crea,
																	medpag_codi_fk,
																	idtrans,
																	caj_codi_fk,
																	emp_codi_fk,
																	opecaj_tipo_de_nota) 
															VALUES('$xfechahora',
																	'$xfecha',
																	'$correlativo',
																	$yper_codi_fk,
																	$xopecajtip_codi_fk_222,
																	'GENERADO AUTOMATICAMENTE',
																	$xmonto_descuento_nd,
																	'$xusuario_sesion',
																	'$xmediopago2',
																	'$xnu',
																	'$xcaj_codi',
																	'$s_empresa',
																	'2');");
																	
					if($r_caja){									
						$r_caja_ver = mysqli_query($conexion,"SELECT opecaj_codi FROM operacion_caja o WHERE idtrans = '$xnu';");
						while($row_caja_ver = mysqli_fetch_array($r_caja_ver)){
							$xopecaj_codi_fk = $row_caja_ver['opecaj_codi'];
						}											
						$xfechahora = date('Y-m-d H:i:s');								

						$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_caja (ordpedcaj_fechahora,
																						ordped_codi_fk,
																						opecaj_codi_fk) 
																				VALUES('$xfechahora',
																						$xordped_codi_fk_nota_db,
																						$xopecaj_codi_fk);");																										
					
						if($r3){								
							//return 1;
						}				
					}																																	
				}				
			//}
																						
			?>
			<script language="javascript">
			alert("Ha sido registrado satisfactoriamente. Espere un momento para que la NOTA DE DEBITO sea generada.");
			parent.document.form_buscar.submit();
			//parent.cerrar_nota_credito('cerrar_creditos');
			</script>			
			<?php									
			return 1;			
		}				
	}
	
	
	
	
	
	//Reprocesando
	function reprocesar_comprobante($conexion){
		global $xaccion, $xid, $xusuario_sesion;	
		
		?>
		<script language="javascript">
		//alert("por aquii 2: <?php //echo $xid; ?>");
		</script>				
		<?php

		$r = mysqli_query($conexion,"UPDATE nota_debito SET notdeb_txt_generado=0, 
																		notdeb_codigohast='', 
																		notdeb_timbrexml=0, 
																		notdeb_timbreweb=0, 
																		notdeb_detallerpta='' 
														WHERE notdeb_codi= $xid;");		
		if($r){		

			return 1;
		}		
	}	


	//Aumentar
	function aumentar_precio($conexion){
		global $xaccion, $xprecio_aumentado, $xordpeddet_codi;
		
		?>
		<script language="javascript">
		//alert("<?php echo $xprecio_aumentado;?> --...-- <?php echo $xordpeddet_codi;?> ");
		</script>
		<?php

		$r = mysqli_query($conexion,"UPDATE orden_pedido_detalle SET ordpeddet_precio_aumento_temporal = $xprecio_aumentado 
														WHERE ordpeddet_codi= $xordpeddet_codi;");		
		if($r){		

			return 1;
		}		
	}	


	/*
	//Devolver
	function devolver_cantidad($conexion){
		global $xaccion, $xcantidad_devolver, $xordpeddet_codi;
		
		?>
		<script language="javascript">
		//alert("<?php echo $xcantidad_devolver;?> --...-- <?php echo $xordpeddet_codi;?> ");
		</script>
		<?php

		$r = mysqli_query($conexion,"UPDATE orden_pedido_detalle SET ordpeddet_cantidad_devolver_temporal = $xcantidad_devolver 
														WHERE ordpeddet_codi= $xordpeddet_codi;");		
		if($r){		

			return 1;
		}		
	}	

	//Descontar
	function descontar_precio($conexion){
		global $xaccion, $xprecio_descontado, $xordpeddet_codi;
		
		?>
		<script language="javascript">
		//alert("<?php echo $xprecio_descontado;?> --...-- <?php echo $xordpeddet_codi;?> ");
		</script>
		<?php

		$r = mysqli_query($conexion,"UPDATE orden_pedido_detalle SET ordpeddet_precio_descuento_temporal = $xprecio_descontado 
														WHERE ordpeddet_codi= $xordpeddet_codi;");		
		if($r){		

			return 1;
		}		
	}	
	*/


}


?>

